io.netty.handler.codec.mqtt

## Class MqttUnacceptableProtocolVersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.netty.handler.codec.CodecException
        - - io.netty.handler.codec.DecoderException
          - - io.netty.handler.codec.mqtt.MqttUnacceptableProtocolVersionException

All Implemented Interfaces:
  Serializable

    public final class MqttUnacceptableProtocolVersionException
    extends io.netty.handler.codec.DecoderException

A `MqttUnacceptableProtocolVersionException` which is thrown when a CONNECT request contains unacceptable protocol version.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MqttUnacceptableProtocolVersionException()` Creates a new instance
`MqttUnacceptableProtocolVersionException(String message)` Creates a new instance
`MqttUnacceptableProtocolVersionException(String message, Throwable cause)` Creates a new instance
`MqttUnacceptableProtocolVersionException(Throwable cause)` Creates a new instance

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttUnacceptableProtocolVersionException

    public MqttUnacceptableProtocolVersionException()

Creates a new instance

#### MqttUnacceptableProtocolVersionException

    public MqttUnacceptableProtocolVersionException(String message,
                                                    Throwable cause)

Creates a new instance

#### MqttUnacceptableProtocolVersionException

    public MqttUnacceptableProtocolVersionException(String message)

Creates a new instance

#### MqttUnacceptableProtocolVersionException

    public MqttUnacceptableProtocolVersionException(Throwable cause)

Creates a new instance